# DXGfxLib.ReflectionHelper Class Reference

List of all members.

## Static Public Member Functions
static Hashtable | ListCreatableClasses ()
static Hashtable | ListCreatableClasses (Assembly fromAssembly)
static Object | GetInstanceOfType (Type theType)
static Object | GetInstanceOfType (string typeName)
static Object | GetInstanceOfType (Assembly sourceAssembly, string typeName)
static Hashtable | ListCreatableClasses ()
static Hashtable | ListCreatableClasses (Assembly fromAssembly)
static Object | GetInstanceOfType (Type theType)
static Object | GetInstanceOfType (string typeName)
static Object | GetInstanceOfType (Assembly sourceAssembly, string typeName)

## Detailed Description

Definition at line 9 of file ReflectionHelper.cs.

## Member Function Documentation

static Object DXGfxLib.ReflectionHelper.GetInstanceOfType | ( | Assembly | sourceAssembly,
|  | string | typeName |
| ) |  |  | `[static]`

Definition at line 46 of file ReflectionHelper.cs.

Here is the call graph for this function:

static Object DXGfxLib.ReflectionHelper.GetInstanceOfType | ( | string | typeName | ) | `[static]`

Definition at line 41 of file ReflectionHelper.cs.

Here is the call graph for this function:

static Object DXGfxLib.ReflectionHelper.GetInstanceOfType | ( | Type | theType | ) | `[static]`

Definition at line 33 of file ReflectionHelper.cs.

static Object DXGfxLib.ReflectionHelper.GetInstanceOfType | ( | Assembly | sourceAssembly,
|  | string | typeName |
| ) |  |  | `[static]`

Definition at line 46 of file ReflectionHelper.cs.

Here is the call graph for this function:

static Object DXGfxLib.ReflectionHelper.GetInstanceOfType | ( | string | typeName | ) | `[static]`

Definition at line 41 of file ReflectionHelper.cs.

Here is the call graph for this function:

static Object DXGfxLib.ReflectionHelper.GetInstanceOfType | ( | Type | theType | ) | `[static]`

Definition at line 33 of file ReflectionHelper.cs.

Here is the caller graph for this function:

static Hashtable DXGfxLib.ReflectionHelper.ListCreatableClasses | ( | Assembly | fromAssembly | ) | `[static]`

Definition at line 16 of file ReflectionHelper.cs.

static Hashtable DXGfxLib.ReflectionHelper.ListCreatableClasses | ( |  | ) | `[static]`

Definition at line 11 of file ReflectionHelper.cs.

Here is the call graph for this function:

static Hashtable DXGfxLib.ReflectionHelper.ListCreatableClasses | ( | Assembly | fromAssembly | ) | `[static]`

Definition at line 16 of file ReflectionHelper.cs.

static Hashtable DXGfxLib.ReflectionHelper.ListCreatableClasses | ( |  | ) | `[static]`

Definition at line 11 of file ReflectionHelper.cs.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/ReflectionHelper.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/ReflectionHelper.cs